# Uses of Interface
net.shibboleth.idp.attribute.resolver.dc.scripted.impl.ScriptedSearch

Packages that use ScriptedSearch
Package
Description
net.shibboleth.idp.attribute.resolver.dc.scripted.impl
Classes which make up the scripted data connector.

## Uses of ScriptedSearch in net.shibboleth.idp.attribute.resolver.dc.scripted.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.scripted.impl that return ScriptedSearch
Modifier and Type
Method
Description
`ScriptedSearch`
ScriptedSearchBuilder.`build(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Creates an executable search that can be executed against a data source in order to produce results.
Methods in net.shibboleth.idp.attribute.resolver.dc.scripted.impl with parameters of type ScriptedSearch
Modifier and Type
Method
Description
`protected Map<String,IdPAttribute>`
ScriptedDataConnector.`retrieveAttributes(ScriptedSearch executable)`
Attempts to retrieve attributes from the data source.
`protected Map<String,IdPAttribute>`
ScriptedDataConnector.`retrieveAttributes(ScriptedSearch executable, AttributeResolverWorkContext workContext)`
A version of `AbstractSearchDataConnector.retrieveAttributes(ExecutableSearch)` that also gets passed the work context.